Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04738 Graphics Major Always Mar 26, 2012, 03:33 May 9, 2012, 12:43
Tester M.A.S.H. View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Fixed OS
Status [?] Resolved Driver playch10.cpp
Version 0.145u5 Fixed in Version 0.146 Build Normal
Summary 04738: pc_mman3, pc_ngai2, pc_ngai3, pc_pwbld, pc_radr2: Graphics are messed up
Description Since MAME 0.144u7 the graphics in the Playchoice games pc_ngai2, pc_ngai3, pc_pwbld, pc_radr2 are messed up (see animated GIFs).
Also you cannot start pc_mman3.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.144u7
Affected Sets / Systems pc_mman3, pc_ngai2, pc_ngai3, pc_pwbld, pc_radr2
Attached Files
gif file icon pc_radr2 0144u6 - 0144u7.gif (16,683 bytes) Mar 26, 2012, 03:33 Uploaded by M.A.S.H.
M.A.S.H.
gif file icon pc_pwbld 0144u6 - 0144u7.gif (18,939 bytes) Mar 26, 2012, 03:34 Uploaded by M.A.S.H.
M.A.S.H.
gif file icon pc_pwbld-0144u6-r16226.gif (24,933 bytes) May 8, 2012, 22:59 Uploaded by M.A.S.H.
M.A.S.H.
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.08526
etabeta
Developer
May 8, 2012, 20:32
This should be fixed in the very latest svn. I have imported the IRQ code from MESS MMC3 emulation and now graphics shall be OK in *all* games.
User avatar
No.08527
M.A.S.H.
Senior Tester
May 8, 2012, 22:58
edited on: May 8, 2012, 22:59
Just compiled a r16226 MAME version and tested the games and the gfx looks ok.
But the background gfx is now shifted 1 pixel down (see pc_pwbld-0144u6-r16226.gif).
I think is has something to do with the scanline_counter (must be -1 or what else),
a small problem, hope this will be fixed in 0.146.
User avatar
No.08529
etabeta
Developer
May 9, 2012, 06:20
would you mind checking which games are affected, among the PC10 G-Board ones?
User avatar
No.08531
M.A.S.H.
Senior Tester
May 9, 2012, 07:51
Test all games!
Games with shifted pixel compared with 0.144u6
pc_mman3
pc_ngai3
pc_pwbld
pc_radr2
pc_smb3
pc_tmnt2
pc_wcup

Other problems:
pc_pinbt hangs
pc_sjetm (One corrupt screen after INSERT COIN since 0.144u6)
User avatar
No.08533
etabeta
Developer
May 9, 2012, 11:24
first of all, thanks for checking.

could you please open them as separate bug reports and leave this closed? I think they're all due to different reasons and the update of the PPU code has somehow exposed some frailty of the previous code.

it might be easier to track down the exact culprits once I progress in the merging of the mapper code between MAME and MESS... the original gfx corruptions, for instance, were due to inaccurate MMC3 IRQ handling which was ok on MESS (it's still not 100% correct but better :) )
User avatar
No.08534
M.A.S.H.
Senior Tester
May 9, 2012, 12:43
No problemo! If 0.146 comes i will added the reports!